org.modeshape.jcr.cache.change

## Class AbstractPropertyChange

- java.lang.Object
- - org.modeshape.jcr.cache.change.Change
  - - org.modeshape.jcr.cache.change.AbstractNodeChange
    - - org.modeshape.jcr.cache.change.AbstractPropertyChange

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PropertyAdded, PropertyChanged, PropertyRemoved

      public abstract class AbstractPropertyChange
      extends AbstractNodeChange

  Base class for all property related changes.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Property` | `property`

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPropertyChange(NodeKey key, Path nodePath, Property property)` Creates a new property change event

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Path` | `getPathToNode()`
    `Property` | `getProperty()`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `getKey, getPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### property

          protected final Property property

  - ### Constructor Detail

    - #### AbstractPropertyChange

          public AbstractPropertyChange(NodeKey key,
                                Path nodePath,
                                Property property)

      Creates a new property change event
      Parameters:
        `key` - the internal identifier of the node on which on which the change occurred
        `nodePath` - the path of the node of the node on which on which the change occurred
        `property` - the `Property` instance for which the event is fired

  - ### Method Detail

    - #### getProperty

          public Property getProperty()

      Returns:
        property

    - #### getPathToNode

          public Path getPathToNode()

      Returns:
        path

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.